Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
Update the exposure table.
curl --request PATCH \
--url https://metrics.eu.confidence.dev/v1/exposureTables/{exposureTable} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sql": "<string>",
"displayName": "<string>",
"entity": "<string>",
"firstExposureTimeColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"entityIdColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"groupNameColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"exposureDataDeliveredUntilTime": {},
"dimensions": [
{
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
}
],
"labels": [
{}
],
"owner": "<string>"
}
'{
"sql": "<string>",
"displayName": "<string>",
"entity": "<string>",
"firstExposureTimeColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"entityIdColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"groupNameColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"state": "TABLE_STATE_UNSPECIFIED",
"schemaValidationJob": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"exposureDataDeliveredUntilTime": {},
"exposedEntitiesMetric": "<string>",
"firstExposureTruncation": {
"window": "TRUNCATION_WINDOW_UNSPECIFIED",
"behaviour": "TRUNCATION_BEHAVIOR_UNSPECIFIED",
"timeZone": "TRUNCATION_TIME_ZONE_UNSPECIFIED"
},
"exposureFilterColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"dimensions": [
{
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
}
],
"error": {
"message": "<string>",
"details": [
"<string>"
]
},
"labels": [
{}
],
"owner": "<string>",
"scheduledExposureCalculation": "<string>",
"exposureCalculation": "<string>",
"deleteTime": {},
"systemCreated": true
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The list of fields to update.
Fields are specified relative to the ExposureTable
(e.g. display_name, sql; not exposure_table.display_name or exposure_table.sql).
A data warehouse-specific query to get the data from the exposure table table.
Human friendly name of the exposure table.
Resource name of the entity that is being exposed.
The column of the table that represents the time of exposure.
Show child attributes
Column of the table that represents the identifier of the entity.
Show child attributes
Column of the table that contains the group name.
Show child attributes
The current maximum time point where there is available data for the exposure table table.
Defines how time is truncated in the first_exposure_time_column.
Show child attributes
Column of the table that contains what exposure filter this row refers to, if exposure filtering is enabled.
Show child attributes
Mapping between columns and dimensions.
Show child attributes
Custom labels for this exposure table.
Show child attributes
The owner of the resource. If not set will default to the creator.
Returns a ExposureTable.
An exposure table is describes how to compute exposures from assignments.
A data warehouse-specific query to get the data from the exposure table table.
Human friendly name of the exposure table.
Resource name of the entity that is being exposed.
The column of the table that represents the time of exposure.
Show child attributes
Column of the table that represents the identifier of the entity.
Show child attributes
Column of the table that contains the group name.
Show child attributes
Current state of the table.
TABLE_STATE_UNSPECIFIED, TABLE_STATE_CREATING, TABLE_STATE_ACTIVE, TABLE_STATE_FAILED, TABLE_STATE_UPDATING, TABLE_STATE_DELETED Resource name of the sql job that was used to validate the schema of the exposure table.
Time when the exposure table was first created.
Time when the exposure table was last updated.
Reference to the identity that created this exposure table.
Reference to the identity that last updated this exposure table.
Unique identifier of the exposure table.
For example: exposureTables/0smva5nxuhv4yts6paxt
The current maximum time point where there is available data for the exposure table table.
Resource name of the metric that counts exposures.
Defines how time is truncated in the first_exposure_time_column.
Show child attributes
Column of the table that contains what exposure filter this row refers to, if exposure filtering is enabled.
Show child attributes
Mapping between columns and dimensions.
Show child attributes
Indicates whether an errors has occurred.
Show child attributes
Custom labels for this exposure table.
Show child attributes
The owner of the resource. If not set will default to the creator.
Time when the exposure table was deleted.
If this exposure table is automatically created.
Was this page helpful?
curl --request PATCH \
--url https://metrics.eu.confidence.dev/v1/exposureTables/{exposureTable} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sql": "<string>",
"displayName": "<string>",
"entity": "<string>",
"firstExposureTimeColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"entityIdColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"groupNameColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"exposureDataDeliveredUntilTime": {},
"dimensions": [
{
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
}
],
"labels": [
{}
],
"owner": "<string>"
}
'{
"sql": "<string>",
"displayName": "<string>",
"entity": "<string>",
"firstExposureTimeColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"entityIdColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"groupNameColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"state": "TABLE_STATE_UNSPECIFIED",
"schemaValidationJob": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"exposureDataDeliveredUntilTime": {},
"exposedEntitiesMetric": "<string>",
"firstExposureTruncation": {
"window": "TRUNCATION_WINDOW_UNSPECIFIED",
"behaviour": "TRUNCATION_BEHAVIOR_UNSPECIFIED",
"timeZone": "TRUNCATION_TIME_ZONE_UNSPECIFIED"
},
"exposureFilterColumn": {
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
},
"dimensions": [
{
"name": "<string>",
"type": "COLUMN_TYPE_UNSPECIFIED",
"repeated": true
}
],
"error": {
"message": "<string>",
"details": [
"<string>"
]
},
"labels": [
{}
],
"owner": "<string>",
"scheduledExposureCalculation": "<string>",
"exposureCalculation": "<string>",
"deleteTime": {},
"systemCreated": true
}